Bug 585619 - Xorg seg faults on start-up when no monitor is attached
Xorg seg faults on start-up when no monitor is attached
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 01:07 EDT by Larry O'Leary
Modified: 2010-12-03 10:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log produced when no monitor is attached (35.71 KB, application/octet-stream)
2010-04-25 01:07 EDT, Larry O'Leary
no flags Details
Xorg log produced when a monitor is attached (35.71 KB, application/octet-stream)
2010-04-25 01:08 EDT, Larry O'Leary
no flags Details

  None (edit)
Description Larry O'Leary 2010-04-25 01:07:03 EDT
Created attachment 408920 [details]
Xorg log produced when no monitor is attached

Description of problem:
Xorg server fails to start at system boot when no monitor is connected to system.  The last few lines of the Xorg.0.log file contain a backtrace and indicate a segmentation fault.

(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e5dbc]
1: /usr/bin/Xorg (0x8048000+0x5ef66) [0x80a6f66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x54e40c]
3: /usr/bin/Xorg (xf86InitViewport+0x66) [0x816e8c6]
4: /usr/bin/Xorg (InitOutput+0xca0) [0x80b7440]
5: /usr/bin/Xorg (0x8048000+0x1a8b5) [0x80628b5]
6: /lib/libc.so.6 (__libc_start_main+0xe6) [0x6debb6]
7: /usr/bin/Xorg (0x8048000+0x1a661) [0x8062661]
Segmentation fault at address 0x18

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting



If I reboot with a monitor connected to the system, everything appears fine.  


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg 1.7.6-3.fc12

How reproducible:
Always

Steps to Reproduce:
1. Disconnect monitor from computer
2. Reboot
  
Actual results:
Xorg is not running

Expected results:
Xorg should be running

Additional info:
Xorg also fails to start if I attempt to execute it from the command-line without a monitor attached.

Video card is: 01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev c1)
Comment 1 Larry O'Leary 2010-04-25 01:08:32 EDT
Created attachment 408921 [details]
Xorg log produced when a monitor is attached

I have attached the log file that gets generated when a monitor is attached.  So basically, the only difference here is that with a monitor, Xorg starts as expected.
Comment 2 Bug Zapper 2010-11-03 12:21:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:28:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.